Skip to main content

Update an existing SegmentationRuleConditionTemplate

PUT 

/qsystem/rest/config/operationProfiles/serviceGroups/segmentationRuleConditionTemplates/:segmentationRuleConditionTemplateId

Update an existing SegmentationRuleConditionTemplate. It is not possible to update SegmentationRuleConditionTemplate that are used in a segmentation

curl -i -u user:password -X PUT -H 'content-type:application/json'
-d '{"id":66, "description": "When the visit is a total mess.","conditionClass": "com.qmatic.qp.jiql.core.cfm.segmentationRules.VisitTotalMessFixerV2"}'
http://orchestra-host:orchestra-port/qsystem/rest/config/operationProfiles/serviceGroups/segmentationRuleConditionTemplates/66

Request​

Responses​

A SegmentationRuleConditionTemplate with the updated segmentation rule template